Bug 145891 - no gd include in /usr/include/php/ext/gd/
no gd include in /usr/include/php/ext/gd/
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-23 05:54 EST by Remi COLLET
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.3.11-2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 03:53:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remi COLLET 2005-01-23 05:54:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20050113 Fedora/1.7.5-3

Description of problem:
Directory /usr/include/php/ext/gd/ is missing.

Files php_gd.h and libgd/gd.h are need (to build PDFlib module).

Copying .h from sources is a workaround.

Version-Release number of selected component (if applicable):
php-devel-4.3.10-3.2

How reproducible:
Always

Steps to Reproduce:
1. install php, php-gd and php-devel
2. ls /usr/include/php/ext/gd
3. 
    

Actual Results:  ls: /usr/include/php/ext/gd: No such file or directory

Expected Results:  /usr/include/php/ext/gd:
gdcache.h  gdttf.h  libgd  php_gd.h

/usr/include/php/ext/gd/libgd:
gd.h  gd_io.h  gdcache.h  gdfontg.h  gdfontl.h  gdfontmb.h  gdfonts.h
 gdfontt.h  gdhelpers.h  jisx0208.h  wbmp.h

Additional info:

I also work with php-5.0.3 from devel.
The gd includes are also missing.
Comment 1 Joe Orton 2005-02-11 16:43:38 EST
Can you test against 5.0.3-2 in Raw Hide?
Comment 2 Remi COLLET 2005-02-12 07:26:14 EST
OK : includes are here after i rebuild and install php-5.0.3-2 (and
sqlite3 for deps) from devel SRPMS.

In fact i think it's a php bug (not really a fedora one).
Thank's for your patch (you probably should submit it to php team).

Could "pear install pdflib" without any problem.
Comment 3 Joe Orton 2005-04-19 03:53:16 EDT
Fixed in 4.3.11 update, thanks for the report:

http://www.redhat.com/archives/fedora-announce-list/2005-April/msg00033.html


Note You need to log in before you can comment on or make changes to this bug.